Subject: Re: bug#16993: advice-add hides docstring

From: Juanma Barranquero <[email-masked]>
Date: Wed, 12 Mar 2014 21:15:41 +0100

On Wed, Mar 12, 2014 at 8:55 PM, Glenn Morris <[email-masked]> wrote:

> I don't intend to work on it, but IMO substitute-command-keys should
> preserve text properties.
> AFAIK, there's no particular reason why it removes them; see e.g.
>
> http://lists.gnu.org/archive/html/emacs-pretest-bug/2005-11/msg00094.html

I'll look into it. Thanks.

> I guess that's something to do with built-in functions.
> (I don't see an issue with insert-directory.)

Because your Emacs doesn't use ls-lisp, I guess. Do you see the
problem if you load eshell?

    J